%define name lshw
%define version 2.13
%define realversion B.0%{version}
%define release %mkrel 2

Summary: A hardware lister
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ezix.sourceforge.net/software/files/%{name}-%{realversion}.tar.gz
Patch0:	lshw-02.13b-gcc43.patch
License: GPLv2
Group: System/Kernel and hardware
Url: http://ezix.sourceforge.net/software/lshw.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
lshw (Hardware Lister) is a tool to provide detailed information 
on the hardware configuration of the machine.

%package gui
Summary: HardWare LiSter (GUI version)
Group:  System/Kernel and hardware
Requires: %{name}
Requires: gtk2
BuildRequires: gtk2-devel
%description gui
This package provides a graphical user interface to lshw

%prep
%setup -q -n %{name}-%{realversion}
%patch0
# Ugly since 2.07 default rights are messed
find -type f | xargs chmod 644
find -type d | xargs chmod 755

%build
make
make gui

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT
make PREFIX=%_prefix SBINDIR=%_sbindir MANDIR=%_mandir DESTDIR=$RPM_BUILD_ROOT install-gui

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/lshw
%dir %{_datadir}/lshw
%{_datadir}/lshw/*.txt
%{_datadir}/lshw/*.ids
%attr(644,root,root) %{_mandir}/man1/lshw.*

%files gui
%defattr(-,root,root)
%doc COPYING
%{_sbindir}/gtk-lshw
%{_datadir}/lshw/artwork




%changelog
* Mon Aug 18 2008 Emmanuel Andry <eandry@mandriva.org> 2.13-2mdv2009.0
+ Revision: 273415
- fix gcc4.3 build with P0 from gentoo

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

* Sun May 11 2008 Frederik Himpe <fhimpe@mandriva.org> 2.13-1mdv2009.0
+ Revision: 205945
- New version, remove patch integrated upstream
- Adapt to new license policy

* Mon Mar 10 2008 Olivier Blin <oblin@mandriva.com> 2.12.01-2mdv2008.1
+ Revision: 183678
- fix hang in PCI capabilities read (#36696, upstream ticket 340)
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 21 2007 Erwan Velu <erwan@mandriva.org> 2.12.01-1mdv2008.1
+ Revision: 111046
- Adding source
- 2.12.01

* Tue Aug 21 2007 Erwan Velu <erwan@mandriva.org> 2.11.01-1mdv2008.0
+ Revision: 68450
- 2.11

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages

* Mon Apr 23 2007 Erwan Velu <erwan@mandriva.org> 2.10-1mdv2008.0
+ Revision: 17461
- 2.10


* Mon Jan 15 2007 Erwan Velu <erwan@mandriva.org> 2.09-1mdv2007.0
+ Revision: 109237
- 2.09
- Import lshw

* Fri Jun 23 2006 Erwan Velu <erwan@seanodes.com> 2.08-1mdk
- 2.08

* Thu Mar 16 2006 Erwan Velu <erwan@seanodes.com> 2.07-2mdk
- Oups, fixing some rights

* Thu Mar 16 2006 Erwan Velu <erwan@seanodes.com> 2.07-1mdk
- 2.0.7

* Fri Oct 21 2005 Erwan Velu <erwan@seanodes.com> 2.06-1mdk
- 2.06

* Sat Aug 27 2005 Pixel <pixel@mandriva.com> 2.05-2mdk
- .svg files are not the text version (are they used by the gui?)

* Sat Jul 23 2005 Erwan Velu <velu@seanodes.com> 2.05-1mdk
- 2.05

* Thu May 12 2005 Erwan Velu <velu@seanodes.com> 2.04-1mdk
- 2.04

* Sun Feb 13 2005 Erwan Velu <velu@seanodes.com> 2.03-2mdk
- REbuild

* Sat Feb 05 2005 Erwan Velu <velu@seanodes.com> 2.03-1mdk
- 2.03

* Fri Jan 21 2005 Erwan Velu <velu@seanodes.com> 2.02-1mdk
- 2.02

* Wed Jan 05 2005 Erwan Velu <velu@seanodes.com> 2.00-1mdk
- Happy new year
- 2.00 \o/
- Adding gui

* Sun Dec 19 2004 Erwan Velu <velu@seanodes.com> 1.09-1mdk
- 1.09

* Wed Sep 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.08-1mdk
- 1.08
- Removing patches 0 & 1

* Fri Aug 20 2004 Erwan Velu <erwan@mandrakesoft.com> 1.07-6mdk
- Bzipping cpuinfos
- Adding dmi patch (now supporting chassis informations)

* Sat Jun 05 2004 <lmontel@mandrakesoft.com> 1.07-5mdk
- Rebuild

* Fri Jun 04 2004 Erwan Velu <erwan@mandrakesoft.com> 1.07-4mdk
- Adding patch for reading physical id & sibling on /proc/cpuinfo

* Wed May 19 2004 Robert Vojta <robert.vojta@mandrake.org> 1.07-3mdk
- ChangeLog entry fixed (1.0.7 -> 1.07)

* Wed May 19 2004 Robert Vojta <robert.vojta@mandrake.org> 1.07-2mdk
- Summary fix (#9793)

* Sat May 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.07-1mdk
- 1.07

* Wed Apr 21 2004 Erwan Velu <erwan@mandrakesoft.com> 1.06-1mdk
- 1.06

* Wed Feb 18 2004 Erwan Velu <erwan@mandrakesoft.com> 1.05-1mdk
- Initial mdk release

